Overview
Comment: | Add support for Tcl 8.6.8 |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | trunk |
Files: | files | file ages | folders |
SHA1: |
67690779ba69a4664757342642be5ccf |
User & Date: | rkeene on 2018-01-31 20:48:46 |
Other Links: | manifest | tags |
Context
2018-02-07
| ||
15:50 | Upgraded to latest version of TclTLS and LibreSSL check-in: 9cf20b8bbd user: rkeene tags: trunk | |
2018-01-31
| ||
20:48 | Add support for Tcl 8.6.8 check-in: 67690779ba user: rkeene tags: trunk | |
2017-10-18
| ||
20:00 | Always build LibreSSL as PIC (in case we are building a shared object) check-in: 78c713f659 user: rkeene tags: trunk | |
Changes
Modified build/test/test from [2d48ed34da] to [f3c6a57f7d].
1 2 | #! /bin/bash | | | 1 2 3 4 5 6 7 8 9 10 | #! /bin/bash VERSIONS="8.5.19 8.6.8 fossil_trunk" # Find the base directory for x in 1 2 3 4 __fail__; do if [ "${x}" = "__fail__" ]; then echo 'Unable to find KitCreator, aborting.' >&2 exit 1 |
︙ | ︙ |
Modified build/web/kitcreator.vfs/index.rvt from [c20645b031] to [4f1c8aaa33].
︙ | ︙ | |||
23 24 25 26 27 28 29 30 31 32 33 34 35 36 | set tcl_versions(8.6.1) 8.6.1 set tcl_versions(8.6.2) 8.6.2 set tcl_versions(8.6.3) 8.6.3 set tcl_versions(8.6.4) 8.6.4 set tcl_versions(8.6.5) 8.6.5 set tcl_versions(8.6.6) 8.6.6 set tcl_versions(8.6.7) 8.6.7 set tcl_versions(fossil_trunk) "Fossil Trunk Tip" set platforms(android-arm) "Android/ARM" set platforms(freebsd-amd64) "FreeBSD/amd64" set platforms(hpux-hppa64) "HP-UX/PA-RISC 2.0" set platforms(aix-ppc) "AIX/POWER" set platforms(linux-amd64) "Linux/amd64" | > | 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 | set tcl_versions(8.6.1) 8.6.1 set tcl_versions(8.6.2) 8.6.2 set tcl_versions(8.6.3) 8.6.3 set tcl_versions(8.6.4) 8.6.4 set tcl_versions(8.6.5) 8.6.5 set tcl_versions(8.6.6) 8.6.6 set tcl_versions(8.6.7) 8.6.7 set tcl_versions(8.6.8) 8.6.8 set tcl_versions(fossil_trunk) "Fossil Trunk Tip" set platforms(android-arm) "Android/ARM" set platforms(freebsd-amd64) "FreeBSD/amd64" set platforms(hpux-hppa64) "HP-UX/PA-RISC 2.0" set platforms(aix-ppc) "AIX/POWER" set platforms(linux-amd64) "Linux/amd64" |
︙ | ︙ |
Modified kitcreator from [31c808db14] to [c672e9363c].
︙ | ︙ | |||
9 10 11 12 13 14 15 | clean|distclean|build|retry) mode="$1" shift ;; esac # Determine which Tcl version to build | | | 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 | clean|distclean|build|retry) mode="$1" shift ;; esac # Determine which Tcl version to build TCLVERS="8.6.8" if echo "$1" | grep '^[0-9][0-9]*\.' >/dev/null || echo "$1" | egrep '^(cvs|fossil)_' >/dev/null; then TCLVERS="$1" shift fi export TCLVERS |
︙ | ︙ |
Modified tcl/build.sh from [c31ad9a317] to [1501438fba].
︙ | ︙ | |||
39 40 41 42 43 44 45 46 47 48 49 50 51 52 | ;; 8.6.6) SRCHASH='a265409781e4b3edcc4ef822533071b34c3dc6790b893963809b9fe221befe07' ;; 8.6.7) SRCHASH='7c6b8f84e37332423cfe5bae503440d88450da8cc1243496249faa5268026ba5' ;; esac # Set configure options for this sub-project LDFLAGS="${LDFLAGS} ${KC_TCL_LDFLAGS}" CFLAGS="${CFLAGS} ${KC_TCL_CFLAGS}" CPPFLAGS="${CPPFLAGS} ${KC_TCL_CPPFLAGS}" LIBS="${LIBS} ${KC_TCL_LIBS}" | > > > | 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 | ;; 8.6.6) SRCHASH='a265409781e4b3edcc4ef822533071b34c3dc6790b893963809b9fe221befe07' ;; 8.6.7) SRCHASH='7c6b8f84e37332423cfe5bae503440d88450da8cc1243496249faa5268026ba5' ;; 8.6.8) SRCHASH='c43cb0c1518ce42b00e7c8f6eaddd5195c53a98f94adc717234a65cbcfd3f96a' ;; esac # Set configure options for this sub-project LDFLAGS="${LDFLAGS} ${KC_TCL_LDFLAGS}" CFLAGS="${CFLAGS} ${KC_TCL_CFLAGS}" CPPFLAGS="${CPPFLAGS} ${KC_TCL_CPPFLAGS}" LIBS="${LIBS} ${KC_TCL_LIBS}" |
︙ | ︙ |
Modified tk/build.sh from [bb7d384197] to [fa60b362d4].
︙ | ︙ | |||
39 40 41 42 43 44 45 46 47 48 49 50 51 52 | ;; 8.6.6) SRCHASH='d62c371a71b4744ed830e3c21d27968c31dba74dd2c45f36b9b071e6d88eb19d' ;; 8.6.7) SRCHASH='061de2a354f9b7c7d04de3984c90c9bc6dd3a1b8377bb45509f1ad8a8d6337aa' ;; esac # Set configure options for this sub-project LDFLAGS="${LDFLAGS} ${KC_TK_LDFLAGS}" CFLAGS="${CFLAGS} ${KC_TK_CFLAGS}" CPPFLAGS="${CPPFLAGS} ${KC_TK_CPPFLAGS}" LIBS="${LIBS} ${KC_TK_LIBS}" | > > > | 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 | ;; 8.6.6) SRCHASH='d62c371a71b4744ed830e3c21d27968c31dba74dd2c45f36b9b071e6d88eb19d' ;; 8.6.7) SRCHASH='061de2a354f9b7c7d04de3984c90c9bc6dd3a1b8377bb45509f1ad8a8d6337aa' ;; 8.6.8) SRCHASH='49e7bca08dde95195a27f594f7c850b088be357a7c7096e44e1158c7a5fd7b33' ;; esac # Set configure options for this sub-project LDFLAGS="${LDFLAGS} ${KC_TK_LDFLAGS}" CFLAGS="${CFLAGS} ${KC_TK_CFLAGS}" CPPFLAGS="${CPPFLAGS} ${KC_TK_CPPFLAGS}" LIBS="${LIBS} ${KC_TK_LIBS}" |
︙ | ︙ |